declare type MergeOptions = {
    excludeFiles?: string[];
    fuzzyMatch?: boolean;
    collapseWhitespace?: boolean;
    resetTranslationState?: boolean;
    sourceLanguage?: boolean;
    replaceApostrophe?: boolean;
    newTranslationTargetsBlank?: boolean | 'omit';
    /** For untranslated units with initial state (state="initial" / state="new"), an updated source will be copied into the target (unless `newTranslationTargetsBlank='omit'/true`) */
    syncTargetsWithInitialState?: boolean;
    overwriteTargetWithTranslated?: boolean;
};
export declare function merge(inFilesContent: string | string[], destFileContent: string, options?: MergeOptions, destFilePath?: string): string;
export declare function mergeWithMapping(inFilesContent: string | string[], destFileContent: string, options?: MergeOptions, destFilePath?: string): [mergedDestFileContent: string, idMappging: {
    [oldId: string]: string;
}];
export {};
